Bug 835849 - (CVE-2012-3368) CVE-2012-3368 dtach: Memory portion (random stack data) disclosure to the client by unclean client disconnect
CVE-2012-3368 dtach: Memory portion (random stack data) disclosure to the cli...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110503,reported=2...
: Security
Depends On: 812551 812552 835853
Blocks: 835855
  Show dependency treegraph
 
Reported: 2012-06-27 05:52 EDT by Jan Lieskovsky
Modified: 2015-07-31 11:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Preliminary dtach patch, provided to SF upstream ticket (1.16 KB, patch)
2012-06-27 06:01 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2012-06-27 05:52:56 EDT
A portion of memory (random stack data) disclosure flaw was found in the way dtach, a simple program emulating the detach feature of screen, performed client connection termination under certain circumstances. A remote attacker could use this flaw to potentially obtain sensitive information by issuing a specially-crafted dtach client connection close request.

Upstream ticket:
[1] http://sourceforge.net/tracker/?func=detail&aid=3517812&group_id=36489&atid=417357

Preliminary proposed patch:
[2] http://sourceforge.net/tracker/download.php?group_id=36489&atid=417357&file_id=441195&aid=3517812

References:
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=625302
[4] https://bugzilla.redhat.com/show_bug.cgi?id=812551
Comment 1 Jan Lieskovsky 2012-06-27 05:55:08 EDT
This issue affects the versions of the dtach package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the dtach package, as shipped with Fedora release of 16 and 17. Please schedule an update (once there is final upstream patch available).
Comment 2 Jan Lieskovsky 2012-06-27 05:59:35 EDT
CVE Request:
[5] http://www.openwall.com/lists/oss-security/2012/06/27/3
Comment 3 Jan Lieskovsky 2012-06-27 06:01:05 EDT
Created attachment 594740 [details]
Preliminary dtach patch, provided to SF upstream ticket
Comment 4 Jan Lieskovsky 2012-06-27 06:03:20 EDT
Created dtach tracking bugs for this issue

Affects: fedora-all [bug 835853]
Comment 5 Huzaifa S. Sidhpurwala 2012-06-28 23:26:08 EDT
CVE-2012-3368 has been assigned to this issue, as per:
http://www.openwall.com/lists/oss-security/2012/06/29/1
Comment 6 Huzaifa S. Sidhpurwala 2012-06-28 23:54:31 EDT
Statement:

This issue affects the version of dtach as shipped with Red Hat Enterprise Linux 5 and 6. The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.
Comment 9 Fedora Update System 2013-03-04 17:23:59 EST
dtach-0.8-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.